#ifndef _ACTIVATION_H
#define _ACTIVATION_H
extern int getCaller(int frameHandle);
extern int getCurrentActivation(int skipCount);
extern void *getCallerPC(int frameHandle);
extern void setCallerPC(int frameHandle, void *absPC);

/*
 * Conservative-GC specific: this method must be called on an
 * frame that does SAVE_REGISTERS(), and it returns a pointer to
 * the frame's callee-save area.
 */
extern void *callerLocalsEnd(int frameHandle);
#endif /* _ACTIVATION_H */
